SUSE: 2022:1516-1 important: libwmf | LinuxSecurity.com

   SUSE Security Update: Security update for libwmf
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:1516-1
Rating:             important
References:         #1006739 #1123522 #1174075 
Cross-References:   CVE-2016-9011 CVE-2019-6978
CVSS scores:
                    CVE-2016-9011 (NVD) : 5.5 CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
                    CVE-2019-6978 (NVD) : 9.8 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
                    CVE-2019-6978 (SUSE): 4.8 CVSS:3.0/AV:L/AC:L/PR:L/UI:R/S:U/C:L/I:L/A:L

Affected Products:
                    SUSE Linux Enterprise Desktop 15-SP3
                    SUSE Linux Enterprise Desktop 15-SP4
                    SUSE Linux Enterprise High Performance Computing 15-SP4
                    SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4
                    SUSE Linux Enterprise Server 15-SP3
                    SUSE Linux Enterprise Server 15-SP4
                    SUSE Linux Enterprise Server for SAP Applications 15-SP3
                    SUSE Linux Enterprise Server for SAP Applications 15-SP4
                    SUSE Linux Enterprise Workstation Extension 15-SP3
                    SUSE Linux Enterprise Workstation Extension 15-SP4
                    openSUSE Leap 15.3
                    openSUSE Leap 15.4
______________________________________________________________________________

   An update that solves two vulnerabilities and has one
   errata is now available.

Description:

   This update for libwmf fixes the following issues:

   libwmf was updated to 0.2.12:

   * upstream changed to fork from Fedora: https://github.com/caolanm/libwmf
   * merged all the pending fixes
   * merge in fixes for libgd CVE-2019-6978 (bsc#1123522)
   * fixed memory allocation failure (CVE-2016-9011)

   * Fixes for %_libexecdir changing to /usr/libexec (bsc#1174075)


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.4:

      zypper in -t patch openSUSE-SLE-15.4-2022-1516=1

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-SLE-15.3-2022-1516=1

   - SUSE Linux Enterprise Workstation Extension 15-SP4:

      zypper in -t patch SUSE-SLE-Product-WE-15-SP4-2022-1516=1

   - SUSE Linux Enterprise Workstation Extension 15-SP3:

      zypper in -t patch SUSE-SLE-Product-WE-15-SP3-2022-1516=1

   - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4:

      zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP4-2022-1516=1



Package List:

   - openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64):

      libwmf-0_2-7-0.2.12-150000.4.4.1
      libwmf-0_2-7-debuginfo-0.2.12-150000.4.4.1
      libwmf-debugsource-0.2.12-150000.4.4.1
      libwmf-devel-0.2.12-150000.4.4.1
      libwmf-gnome-0.2.12-150000.4.4.1
      libwmf-gnome-debuginfo-0.2.12-150000.4.4.1
      libwmf-tools-0.2.12-150000.4.4.1
      libwmf-tools-debuginfo-0.2.12-150000.4.4.1

   - openSUSE Leap 15.4 (x86_64):

      libwmf-0_2-7-32bit-0.2.12-150000.4.4.1
      libwmf-0_2-7-32bit-debuginfo-0.2.12-150000.4.4.1
      libwmf-gnome-32bit-0.2.12-150000.4.4.1
      libwmf-gnome-32bit-debuginfo-0.2.12-150000.4.4.1

   - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):

      libwmf-0_2-7-0.2.12-150000.4.4.1
      libwmf-0_2-7-debuginfo-0.2.12-150000.4.4.1
      libwmf-debugsource-0.2.12-150000.4.4.1
      libwmf-devel-0.2.12-150000.4.4.1
      libwmf-gnome-0.2.12-150000.4.4.1
      libwmf-gnome-debuginfo-0.2.12-150000.4.4.1
      libwmf-tools-0.2.12-150000.4.4.1
      libwmf-tools-debuginfo-0.2.12-150000.4.4.1

   - openSUSE Leap 15.3 (x86_64):

      libwmf-0_2-7-32bit-0.2.12-150000.4.4.1
      libwmf-0_2-7-32bit-debuginfo-0.2.12-150000.4.4.1
      libwmf-gnome-32bit-0.2.12-150000.4.4.1
      libwmf-gnome-32bit-debuginfo-0.2.12-150000.4.4.1

   - SUSE Linux Enterprise Workstation Extension 15-SP4 (x86_64):

      libwmf-0_2-7-0.2.12-150000.4.4.1
      libwmf-0_2-7-debuginfo-0.2.12-150000.4.4.1
      libwmf-debugsource-0.2.12-150000.4.4.1
      libwmf-devel-0.2.12-150000.4.4.1
      libwmf-gnome-0.2.12-150000.4.4.1
      libwmf-gnome-debuginfo-0.2.12-150000.4.4.1

   - SUSE Linux Enterprise Workstation Extension 15-SP3 (x86_64):

      libwmf-0_2-7-0.2.12-150000.4.4.1
      libwmf-0_2-7-debuginfo-0.2.12-150000.4.4.1
      libwmf-debugsource-0.2.12-150000.4.4.1
      libwmf-devel-0.2.12-150000.4.4.1
      libwmf-gnome-0.2.12-150000.4.4.1
      libwmf-gnome-debuginfo-0.2.12-150000.4.4.1

   - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4 (aarch64 ppc64le s390x):

      libwmf-0_2-7-0.2.12-150000.4.4.1
      libwmf-0_2-7-debuginfo-0.2.12-150000.4.4.1
      libwmf-debugsource-0.2.12-150000.4.4.1
      libwmf-devel-0.2.12-150000.4.4.1
      libwmf-gnome-0.2.12-150000.4.4.1
      libwmf-gnome-debuginfo-0.2.12-150000.4.4.1


References:

   https://www.suse.com/security/cve/CVE-2016-9011.html
   https://www.suse.com/security/cve/CVE-2019-6978.html
   https://bugzilla.suse.com/1006739
   https://bugzilla.suse.com/1123522
   https://bugzilla.suse.com/1174075

SUSE: 2022:1516-1 important: libwmf

May 4, 2022
An update that solves two vulnerabilities and has one errata is now available

Summary

This update for libwmf fixes the following issues: libwmf was updated to 0.2.12: * upstream changed to fork from Fedora: https://github.com/caolanm/libwmf * merged all the pending fixes * merge in fixes for libgd CVE-2019-6978 (bsc#1123522) * fixed memory allocation failure (CVE-2016-9011) * Fixes for %_libexecdir changing to /usr/libexec (bsc#1174075) Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Leap 15.4: zypper in -t patch openSUSE-SLE-15.4-2022-1516=1 - openSUSE Leap 15.3: zypper in -t patch openSUSE-SLE-15.3-2022-1516=1 - SUSE Linux Enterprise Workstation Extension 15-SP4: zypper in -t patch SUSE-SLE-Product-WE-15-SP4-2022-1516=1 - SUSE Linux Enterprise Workstation Extension 15-SP3: zypper in -t patch SUSE-SLE-Product-WE-15-SP3-2022-1516=1 - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4: zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP4-2022-1516=1 Package List: - openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64): libwmf-0_2-7-0.2.12-150000.4.4.1 libwmf-0_2-7-debuginfo-0.2.12-150000.4.4.1 libwmf-debugsource-0.2.12-150000.4.4.1 libwmf-devel-0.2.12-150000.4.4.1 libwmf-gnome-0.2.12-150000.4.4.1 libwmf-gnome-debuginfo-0.2.12-150000.4.4.1 libwmf-tools-0.2.12-150000.4.4.1 libwmf-tools-debuginfo-0.2.12-150000.4.4.1 - openSUSE Leap 15.4 (x86_64): libwmf-0_2-7-32bit-0.2.12-150000.4.4.1 libwmf-0_2-7-32bit-debuginfo-0.2.12-150000.4.4.1 libwmf-gnome-32bit-0.2.12-150000.4.4.1 libwmf-gnome-32bit-debuginfo-0.2.12-150000.4.4.1 - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64): libwmf-0_2-7-0.2.12-150000.4.4.1 libwmf-0_2-7-debuginfo-0.2.12-150000.4.4.1 libwmf-debugsource-0.2.12-150000.4.4.1 libwmf-devel-0.2.12-150000.4.4.1 libwmf-gnome-0.2.12-150000.4.4.1 libwmf-gnome-debuginfo-0.2.12-150000.4.4.1 libwmf-tools-0.2.12-150000.4.4.1 libwmf-tools-debuginfo-0.2.12-150000.4.4.1 - openSUSE Leap 15.3 (x86_64): libwmf-0_2-7-32bit-0.2.12-150000.4.4.1 libwmf-0_2-7-32bit-debuginfo-0.2.12-150000.4.4.1 libwmf-gnome-32bit-0.2.12-150000.4.4.1 libwmf-gnome-32bit-debuginfo-0.2.12-150000.4.4.1 - SUSE Linux Enterprise Workstation Extension 15-SP4 (x86_64): libwmf-0_2-7-0.2.12-150000.4.4.1 libwmf-0_2-7-debuginfo-0.2.12-150000.4.4.1 libwmf-debugsource-0.2.12-150000.4.4.1 libwmf-devel-0.2.12-150000.4.4.1 libwmf-gnome-0.2.12-150000.4.4.1 libwmf-gnome-debuginfo-0.2.12-150000.4.4.1 - SUSE Linux Enterprise Workstation Extension 15-SP3 (x86_64): libwmf-0_2-7-0.2.12-150000.4.4.1 libwmf-0_2-7-debuginfo-0.2.12-150000.4.4.1 libwmf-debugsource-0.2.12-150000.4.4.1 libwmf-devel-0.2.12-150000.4.4.1 libwmf-gnome-0.2.12-150000.4.4.1 libwmf-gnome-debuginfo-0.2.12-150000.4.4.1 - SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4 (aarch64 ppc64le s390x): libwmf-0_2-7-0.2.12-150000.4.4.1 libwmf-0_2-7-debuginfo-0.2.12-150000.4.4.1 libwmf-debugsource-0.2.12-150000.4.4.1 libwmf-devel-0.2.12-150000.4.4.1 libwmf-gnome-0.2.12-150000.4.4.1 libwmf-gnome-debuginfo-0.2.12-150000.4.4.1

References

#1006739 #1123522 #1174075

Cross- CVE-2016-9011 CVE-2019-6978

CVSS scores:

CVE-2016-9011 (NVD) : 5.5 CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

CVE-2019-6978 (NVD) : 9.8 CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

CVE-2019-6978 (SUSE): 4.8 CVSS:3.0/AV:L/AC:L/PR:L/UI:R/S:U/C:L/I:L/A:L

Affected Products:

SUSE Linux Enterprise Desktop 15-SP3

SUSE Linux Enterprise Desktop 15-SP4

SUSE Linux Enterprise High Performance Computing 15-SP4

SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4

SUSE Linux Enterprise Server 15-SP3

SUSE Linux Enterprise Server 15-SP4

SUSE Linux Enterprise Server for SAP Applications 15-SP3

SUSE Linux Enterprise Server for SAP Applications 15-SP4

SUSE Linux Enterprise Workstation Extension 15-SP3

SUSE Linux Enterprise Workstation Extension 15-SP4

openSUSE Leap 15.3

openSUSE Leap 15.4

https://www.suse.com/security/cve/CVE-2016-9011.html

https://www.suse.com/security/cve/CVE-2019-6978.html

https://bugzilla.suse.com/1006739

https://bugzilla.suse.com/1123522

https://bugzilla.suse.com/1174075

Severity
Announcement ID: SUSE-SU-2022:1516-1
Rating: important

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.